import request from '@/utils/request'
import qs from 'qs'
// 获取分部
export function getSection (data) {
  return request({
    url: '/web-server/organization/queryPage',
    method: 'get',
    params: qs.stringify(data)
  })
}
// 获取收费类型
export function getType (data) {
  return request({
    url: '/web-server/chargeType/queryPage',
    method: 'get',
    params: qs.stringify(data)
  })
}
// 获取合作单位
export function getCooperation (data) {
  return request({
    url: '/web-server/cooperationOrgan/queryPage',
    method: 'get',
    params: qs.stringify(data)
  })
}
// 获取教学地点
export function getAddress (data) {
  return request({
    url: '/web-server/school/queryPage',
    method: 'get',
    params: qs.stringify(data)
  })
}
// 获取所有老师信息
export function getTeacher (data) {
  return request({
    url: '/web-server/teacher/findTeachers',
    method: 'get',
    params: qs.stringify(data)
  })
}

// 获取所有声部集合
export function getSubject (data) {
  return request({
    url: '/web-server/subject/queryPageTree',
    method: 'get',
    params: qs.stringify(data)
  })
}
// 查询付费主体
export function getPayMaster (data) {
  return request({
    url: '/web-server/musicGroupPaymentEntities/queryPage',
    method: 'get',
    params: data

  })
}

// 根据收费类型获取默认科目
export function getDefaultSubject (data) {
  return request({
    url: '/web-server/subject/findDefaultSubByChargeTypeId',
    method: 'get',
    params: data
  })
}

// 根据科目编号查询商品或辅件
//
export function getGoods (data) {
  return request({
    url: '/web-server/goods/queryGoodsBySubId',
    method: 'get',
    params: data
  })
}
// 创建乐团
export function createTeam (data) {
  return request({
    url: '/web-server/musicGroup/createGroup',
    method: 'post',
    data
  })
}

// 查询乐团招生情况
export function getTeamRecruit (data) {
  return request({
    url: `/web-server/musicGroupSubjectPlan/getMusicSubjectClass`,
    method: 'get',
    params: data

  })
}

// 获取乐团单技班
export function getSingleClass (data) {
  return request({
    url: '/web-server/classGroup/findMusicGroupClass',
    method: 'get',
    params: data

  })
}

// 获取学生列表
export function getStudentList (data) {
  return request({
    url: '/web-server/studentRegistration/queryStudentApplyDetail',
    method: 'get',
    params: data

  })
}

// 分页查询收费类型
export function getPayStatus (data) {
  return request({
    url: '/web-server/chargeType/queryPage',
    method: 'get',
    params: data

  })
}

// 根据乐团id查询未分班的学生
export function getNoClassStudent (data) {
  return request({
    url: '/web-server/studentRegistration/getNoClassStu',
    method: 'get',
    params: data

  })
}

// 新增单技课班
export function addSingleClass (data) {
  return request({
    url: '/web-server/classGroup/add',
    method: 'post',
    data

  })
}

// 删除单技课班
export function removeSingleClass (data) {
  return request({
    url: '/web-server/classGroup/delSingle',
    method: 'post',
    data: qs.stringify(data)

  })
}

// 获取未分班的单技班
export function findNoClassSingle (data) {
  return request({
    url: '/web-server/classGroup/findNoClassSubjects',
    method: 'get',
    params: data

  })
}
// 添加合奏班
export function addAllClass (data) {
  return request({
    url: '/web-server/classGroup/addMixClass',
    method: 'post',
    data: qs.stringify(data)

  })
}

// 获取所有合奏班列表
export function getAllClass (data) {
  return request({
    url: '/web-server/classGroup/findMixMusicGroupClass',
    method: 'get',
    params: data

  })
}

// 删除合奏班

export function removeAllClass (data) {
  return request({
    url: '/web-server/classGroup/delMix',
    method: 'post',
    data: qs.stringify(data)

  })
}

// 确认是否所有学生和单技能班都被分配完成
export function checkAllStudent (data) {
  return request({
    url: '/web-server/classGroup/findAllClassGroupByMusicGroup',
    method: 'get',
    params: data

  })
}


// 获取乐团所有班级
export function getEveryClass (data) {
  return request({
    url: '/web-server/classGroup/findAllClassGroupByMusicGroup',
    method: 'get',
    params: data
  })
}

// 设置乐团老师

export function setTeamTeacher (data) {
  return request({
    url: '/web-server/classGroup/addClassGroupTeacher',
    method: 'get',
    params: data
  })
}

// // 获取所有的节假日 
// export function getHolidays (data) {
//   return request({
//     url: '/jiari/',
//     method: 'post',
//     data: qs.stringify(data)
//   })
// }

// 根据合奏班获取合奏班下的所有单技能班

export function getAllSignClass (data) {
  return request({
    url: '/web-server/classGroup/findClassGroupAboutMix',
    method: 'get',
    params: data
  })
}