// 系统专项设置api文件
import request from '@/utils/request'
import qs from 'qs'

// 分页查询分部列表
export function branchQueryPage(data) {
    return request({
        url: '/web-server/organization/queryPage',
        method: 'get',
        params: data
    })
}

// 分页查询分部列表
export function branchAdd(data) {
    return request({
        url: '/web-server/organization/add',
        method: 'post',
        data: qs.stringify(data)
    })
}

// 分页查询分部列表
export function branchUpdate(data) {
    return request({
        url: '/web-server/organization/update',
        method: 'post',
        data: qs.stringify(data)
    })
}

// 根据父节点查询下一级子节点列表（不递归）
export function areaQueryChild(data) {
    return request({
        url: '/web-server/area/queryChild',
        method: 'get',
        params: data
    })
}


// 根据子级区域获取父级节点
export function getParentArea(data) {
    return request({
        url: `/web-server/area/getParentArea/${data.id}`,
        method: 'get'
    })
}

// 分页查询科目列表
export function subjectListTree(data) {
    return request({
        url: `/web-server/subject/queryPageTree`,
        method: 'get',
        params: data
    })
}

// 修改、新增科目
export function subjectUpset(data) {
    return request({
        url: `/web-server/subject/upset`,
        method: 'post',
        data: data
    })
}

// 分页查询收费类型列表
export function chargeTypeList(data) {
    return request({
        url: '/web-server/chargeType/queryPage',
        method: 'get',
        params: data
    })
}

// 新增、修改收费类型
export function chargeTypeUpSet(data) {
    return request({
        url: '/web-server/chargeType/upSet',
        method: 'post',
        data: data
    })
}

// 分页查询作业模板列表
export function courseHomeworkTemplateList(data) {
    return request({
        url: '/web-server/courseHomeworkTemplate/queryPage',
        method: 'post',
        data: data
    })
}

// 修改作业模板
export function homeWorkUpdate(data) {
    return request({
        url: '/web-server/courseHomeworkTemplate/update',
        method: 'post',
        data: qs.stringify(data)
    })
}

// 修改作业模板
export function homeWorkAdd(data) {
    return request({
        url: '/web-server/courseHomeworkTemplate/add',
        method: 'post',
        data: qs.stringify(data)
    })
}


// 修改作业模板
export function homeWorkDel(id) {
    return request({
        url: `/web-server/courseHomeworkTemplate/del/${id}`,
        method: 'post'
    })
}
