import request from '@/utils/request'
import qs from 'qs'


// 新增合作单位(教学点)
export function cooperationOrganAdd (data) {
    return request({
      url: '/web-server/cooperationOrgan/add',
      method: 'post',
      data: qs.stringify(data)
    })
}

// 修改合作单位(教学点)
export function cooperationOrganUpdate (data) {
    return request({
      url: '/web-server/cooperationOrgan/update',
      method: 'put',
      data: qs.stringify(data)
    })
}

// 删除合作单位(教学点)
export function cooperationOrganDel (data) {
    return request({
      url: `/web-server/cooperationOrgan/del/${data}`,
      method: 'post'
    })
}

// 分页查询合作单位(教学点)列表
export function queryPage (data) {
    return request({
      url: '/web-server/cooperationOrgan/queryPage',
      method: 'get',
      params: data
    })
}

// 根据机构编号获取合作单位(教学点)列表
export function queryByOrganId (data) {
    return request({
      url: '/web-server/cooperationOrgan/queryByOrganId',
      method: 'get',
      params: data
    })
}

// 分页查询教学点
export function schoolQueryPage(data) {
    return request({
        url: '/web-server/school/queryPage',
        method: 'get',
        params: data
    })
}
// 新增教学点
export function schoolAdd(data) {
    return request({
        url: '/web-server/school/add',
        method: 'post',
        data: qs.stringify(data)
    })
}
// 修改教学点
export function schoolUpdate(data) {
    return request({
        url: '/web-server/school/update',
        method: 'post',
        data: qs.stringify(data)
    })
}
// 修改教学点
export function schoolDel(data) {
    return request({
        url: `/web-server/school/del/${data.id}`,
        method: 'post'
    })
}

// 根据部门获取下面的员工
export function queryEmployByOrganId(data) {
    return request({
        url: `/web-server/employee/queryEmployByOrganId`,
        method: 'get',
        params: data
    })
}

// 新增员工
export function employeeAdd(data) {
    return request({
        url: `/web-server/employee/add`,
        method: 'post',
        data: data
    })
}
// 修改员工
export function employeeUpdate(data) {
    return request({
        url: `/web-server/employee/update`,
        method: 'post',
        data: data
    })
}

// 获取用户角色列表
export function getUserRole(data) {
    return request({
        url: `/auth-server/role/queryPage`,
        method: 'get',
        params: data
    })
}

// 员工操作
export function employeeOperate(data) {
    return request({
        url: '/web-server/employee/employeeOperate',
        method: 'post',
        data: qs.stringify(data)
    })
}

// 分页查询角色列表
export function roleQueryPage(data) {
    return request({
        url: `/auth-server/role/queryPage`,
        method: 'get',
        params: data
    })
}

// 根据角色编号查询拥有的菜单列表
export function roleGetMenus(data) {
    return request({
        url: `/auth-server/role/getMenus`,
        method: 'get',
        params: data
    })
}

// 根据权限id查询角色
export function getRoleInfo(data) {
    return request({
        url: `/auth-server/role/${data.id}`,
        method: 'get'
    })
}

// 修改角色
export function roleUpdate(data) {
    return request({
        url: `/auth-server/role/update`,
        method: 'post',
        data: data
    })
}

// 添加角色
export function roleAdd(data) {
    return request({
        url: `/auth-server/role/add`,
        method: 'post',
        data: data
    })
}

// 查询规则列表
export function courseScheduleRewards(data) {
    return request({
        url: `/web-server/courseScheduleRewards/queryPage`,
        method: 'get',
        params: data
    })
}

// 单查询
export function courseScheduleRewardsQuery(data) {
    return request({
        url: `/web-server/courseScheduleRewards/query`,
        method: 'get',
        params: data
    })
}

// 添加
export function courseScheduleRewardsAdd(data) {
    return request({
        url: `/web-server/courseScheduleRewards/add`,
        method: 'post',
        data: qs.stringify(data)
    })
}

// 修改
export function courseScheduleRewardsUpdate(data) {
    return request({
        url: `/web-server/courseScheduleRewards/Update`,
        method: 'post',
        data: qs.stringify(data)
    })
}

// 分页查询热词列表
export function hotWordLabelManage(data) {
    return request({
        url: `/web-server/hotWordLabelManage/queryPage`,
        method: 'get',
        params: data
    })
}

// 新增热词标签
export function hotWordLabelManageAdd(data) {
    return request({
        url: `/web-server/hotWordLabelManage/add`,
        method: 'post',
        data: qs.stringify(data)
    })
}

// 修改热词标签
export function hotWordLabelManageUpdate(data) {
    return request({
        url: `/web-server/hotWordLabelManage/update`,
        method: 'post',
        data: qs.stringify(data)
    })
}

// 删除热词标签
export function hotWordLabelManageDel(data) {
    return request({
        url: `/web-server/hotWordLabelManage/del/${data}`,
        method: 'post'
    })
}