// 系统专项设置api文件
import request from '@/utils/request'
import qs from 'qs'

// 分页查询教师列表
export function teacherQueryPage(data) {
    return request({
        url: '/teacher-server/teacher/queryPage',
        method: 'get',
        params: data
    })
}

// 根据教师编号查询教师基本信息
export function teacherGet(data) {
    return request({
        url: '/teacher-server/teacher/get',
        method: 'get',
        params: data
    })
}

// 获取老师乐团课程信息列表
export function getTeacherMusicClass(data) {
    return request({
        url: '/teacher-server/teacher/getTeacherMusicClass',
        method: 'get',
        params: data
    })
}

// 获取老师VIP课程信息列表
export function getTeacherVipClass(data) {
    return request({
        url: '/teacher-server/teacher/getTeacherVipClass',
        method: 'get',
        params: data
    })
}

// 获取教师试听课安排列表
export function findTeacherDemoGroups(data) {
    return request({
        url: '/teacher-server/demoGroup/findTeacherDemoGroups',
        method: 'get',
        params: data
    })
}

// 查询教师签到记录
export function getTeacherPersonalAttendances(data) {
    return request({
        url: '/teacher-server/teacherAttendance/getTeacherPersonalAttendances',
        method: 'get',
        params: data
    })
}

// 获取教师上课结算列表
export function teacherQueryCloses(data) {
    return request({
        url: '/teacher-server/teacher/queryCloses',
        method: 'get',
        params: data
    })
}

// 分页查询教师请假记录列表
export function teacherLeaveRecordQuery(data) {
    return request({
        url: '/web-server/teacherLeaveRecord/queryPage',
        method: 'get',
        params: data
    })
}

// 获取教师上课课酬未结算总额
export function sumTeacherNoPay(data) {
    return request({
        url: '/teacher-server/teacher/sumTeacherNoPay',
        method: 'get',
        params: data
    })
}

// 获取教师的vip课酬列表
export function vipGroupSalaryList(data) {
    return request({
        url: '/web-server/teacherDefaultVipGroupSalary/queryPageByTeacherId',
        method: 'get',
        params: data
    })
}

// 修改教师vip课酬
export function vipGroupSalarySet(data) {
    return request({
        url: '/web-server/teacherDefaultVipGroupSalary/set',
        method: 'post',
        data: qs.stringify(data)
    })
}

// 分页查询教师薪酬
export function teacherSalaryList(data) {
    return request({
        url: '/web-server/teacherDefaultMusicGroupSalary/queryPage',
        method: 'get',
        params: data
    })
}

// 批量新增、修改、删除教师乐团课薪酬
export function teacherSalaryBatchUpset(data) {
    return request({
        url: '/web-server/teacherDefaultMusicGroupSalary/batchUpset',
        method: 'post',
        data: data
    })
}

// 课酬调整
export function updateTeacherCoursesSalary(data) {
    return request({
        url: '/web-server/course/updateTeacherCoursesSalary',
        method: 'post',
        data: data
    })
}