import request from '@/utils/request'
import qs from 'qs'
// 获取vip 分类列表
export function vipGroupCategory (data) {
  return request({
    url: '/web-server/vipGroupCategory/queryAll',
    method: 'get',
    params: data
  })
}
// 获取 vip循环列表
export function getDefaultClassesCycle (data) {
  return request({
    url: '/web-server/vipGroupDefaultClassesCycle/queryAll',
    method: 'get',
    params: data,
  })
}

// 单个添加vip课程类型
export function addVipGroupCategory (data) {
  return request({
    url: '/web-server/vipGroupCategory/add',
    method: 'post',
    data: qs.stringify(data)
  })
}

// 单个修改vip课程类型
export function resetVipGroupCategory (data) {
  return request({
    url: '/web-server/vipGroupCategory/update',
    method: 'post',
    data: qs.stringify(data)
  })
}
// 删除单个vip类型
export function removeVipGroupCategory (data) {
  return request({
    url: '/web-server/vipGroupCategory/delete',
    method: 'post',
    data: qs.stringify(data)
  })
}

// 新增排课周期
export function addDefaultClassesCycle (data) {
  return request({
    url: '/web-server/vipGroupDefaultClassesCycle/add',
    method: 'post',
    data: qs.stringify(data)
  })
}

// 修改排课周期
export function resetDefaultClassesCycle (data) {
  return request({
    url: '/web-server/vipGroupDefaultClassesCycle/update',
    method: 'post',
    data: qs.stringify(data)
  })
}

// 删除排课周期
export function removeDefaultClassesCycle (data) {
  return request({
    url: '/web-server/vipGroupDefaultClassesCycle/delete',
    method: 'post',
    data: qs.stringify(data)
  })
}

// 新增默认单价
export function defaultClassesUnitPrice (data) {
  return request({
    url: '/web-server/vipGroupDefaultClassesUnitPrice/add',
    method: 'post',
    data: qs.stringify(data)
  })
}

// 查询活动方案列表
export function vipGroupActivity (data) {
  return request({
    url: '/web-server/vipGroupActivity/queryPage',
    method: 'get',
    params: data
  })
}

// 根据课程类型获取活动方案
export function vipGroupActivityFind (data) {
  return request({
    url: '/web-server/vipGroupActivity/findByVipGroupCategory',
    method: 'get',
    params: data
  })
}

// 新增vip课活动方案
export function addVipActive (data) {
  return request({
    url: '/web-server/vipGroupActivity/addVipGroupActivity',
    method: 'POST',
    data
  })
}
// 修改vio课活动方案
export function resetVipActive (data) {
  return request({
    url: '/web-server/vipGroupActivity/update',
    method: 'POST',
    data
  })
}

// 删除vip课

export function removeVipActive (data) {
  return request({
    url: '/web-server/vipGroupActivity/delete',
    method: 'POST',
    data: qs.stringify(data)
  })
}

// 获取vip列表
export function getVipList (data) {
  return request({
    url: '/web-server/vipGroupManage/queryAll',
    method: 'GET',
    params: data
  })
}
// 根据id获取vip详情
export function getVipGroupDetail (data) {
  return request({
    url: `/web-server/vipGroupManage/getVipGroupDetail`,
    method: 'GET',
    params: data
  })
}

// 根据vipid获取学员
export function findVipGroupStudents (data) {
  return request({
    url: '/web-server/vipGroupManage/findVipGroupStudents',
    method: 'GET',
    params: data
  })
}

// 根据vipid和学生id 退学
export function leaveSchool (data) {
  return request({
    url: '/web-server/vipGroupManage/applyRefundForStudent',
    method: 'POST',
    data: qs.stringify(data)
  })
}

// 获取vip教学记录
export function findVipGroupTeachingRecord (data) {
  return request({
    url: '/web-server/vipGroupManage/findVipGroupTeachingRecord',
    method: 'get',
    params: data
  })
}

// 获取vip财务信息
export function getVipGroupSalarys (data) {
  return request({
    url: '/web-server/vipGroupManage/findVipGroupSalarys',
    method: 'get',
    params: data
  })
}

// 获取当前课程上课学员
export function getStudyStudents (data) {
  return request({
    url: '/web-server/vipGroupManage/findVipGroupAttendanceStudents',
    method: 'get',
    params: data
  })
}

// vip课时调整
export function resetVipClass (data) {
  return request({
    url: '/web-server/vipGroupManage/classStartDateAdjust',
    method: 'POST',
    params: data
  })
}

// 计算vip课酬
export function getVipGroupCostCount (data) {
  return request({
    url: '/web-server/vipGroupManage/getVipGroupCostCount',
    method: 'POST',
    params: data
  })
}

// vip课申请
export function createVip (data) {
  return request({
    url: '/web-server/vipGroupManage/vipGroupApply',
    method: 'POST',
    data
  })
}

// 暂停vip
export function closeVip (data) {
  return request({
    url: '/web-server/vipGroupManage/stopVipGroup',
    method: 'POST',
    data: qs.stringify(data)
  })
}