import Vue from 'vue'

// 合并数组
Vue.filter('joinArray', (value, type) => {
    if (!type) {
        type = ' '
    }
    if (typeof value == 'object' && value != null) {
        return value.join(type)
    } else {
        return value
    }
})

// 合作单位
Vue.filter('branchType', (value) => {
    let template = {
        OWN: "自有",
        COOPERATION: "合作",
        LEASE: "租赁"
    }
    return template[value]
})

// 商品类型
Vue.filter('shopType', (value) => {
    let template = {
        "INSTRUMENT": "乐器",
        "ACCESSORIES": "辅件",
        "TEACHING": "教材",
        "STAFF": "教谱",
        "OTHER": "其它",
    }
    return template[value]
})

// 乐团状态
Vue.filter('musicGroupType', (value) => {
    let template = {
        APPLY: '报名中',
        PAY: '缴费中',
        PREPARE: '筹备中',
        UNDERWAY: '进行中',
        CANCELED: '取消'
    }
    return template[value]
})

// 乐团学员状态
Vue.filter('musicGroupStudentType', (value) => {
    let template = {
        NORMAL: "在读", 
        LEAVE: "请假", 
        QUIT: "退团"
    }
    return template[value]
})

// 乐团学员状态
Vue.filter('instrumentType', (value) => {
    let template = {
        GROUP: "团购", 
        OWNED: "自备", 
        LEASE: "租赁"
    }
    return template[value]
})

// 课程类型
Vue.filter('coursesType', (value) => {
    let template = {
        SINGLE: '单技课',
        MIX: "合奏课", 
        HIGH: "小班课",
        VIP: "VIP课",
        DEMO: "试听课",
        COMPREHENSIVE: '综合课',
        PRACTICE: '练习课',
        ENLIGHTENMENT: '启蒙课',
        TRAINING: '集训课'
    }
    return template[value]
})

// 课程状态
Vue.filter('coursesStatus', (value) => {
    let template = {
        NOT_START: "未开始", 
        UNDERWAY: "进行中", 
        OVER: "已结束"
    }
    return template[value]
})

// 考勤类型
Vue.filter('clockingIn', value => {
    let templateStatus = {
        NORMAL: "正常",
        TRUANT: "旷课",
        LEAVE: "请假",
        QUIT_SCHOOL: "休学",
        DROP_OUT: "退学"
    }
    return templateStatus[value]
})

// 时间处理
Vue.filter('formatTimer', (value) => {
    if (value) {
        return value.split(' ')[0]
    } else {
        return value
    }
})
// 格式化成星期
Vue.filter('formatWeek', date => {
    let nd = new Date(date) 
    let temp = ['星期天', '星期一', '星期二', '星期三', '星期四', '星期五', '星期六']
    return temp[nd.getDay()]
  })

// 职位
Vue.filter('jobType', value => {
    let template = {
        ADVISER: "指导老师",
        ACADEMIC: "教务老师",
        TEACHING: "教学主管"
    }
    return template[value]
})

// 工作类型
Vue.filter('jobNature', (value) => {
    let template = {
        PART_TIME: "兼职",
        FULL_TIME: "全职",
        TEMPORARY: "零时工"
    }
    return template[value]
})


// 考勤状态
Vue.filter('attendanceType', value => {
    let template = {
        0: "异常签到",
        1: "正常签到"
    }
    return template[value]
})

// 上课类型
Vue.filter('workType', value => {
    let template = {
        TEACHING: "助教",
        BISHOP: "主教"
    }
    return template[value]
})
